cURL
curl --request POST \ --url https://api.bspk.com/api/platform/v1/products/inventories/batches \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "inventories": [ { "product_ref": "prd-123", "sku": "sku-123", "quantity": 10, "store_ref": "str1", "at": "2021-01-01T00:00:00Z" } ] } '
{ "status": "<string>", "results": [ { "index": 123, "status": "<string>", "message": "<string>" } ] }
Updates inventory quantities for multiple products in a single request.
Documentation IndexFetch the complete documentation index at: https://developers.bspk.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.bspk.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
Partial success with warnings
Status of the batch update.